<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yonge.cooleshow.biz.dal.dao.ImNetworkRoomDao">
    <resultMap id="BaseResultMap" type="com.yonge.cooleshow.biz.dal.entity.ImNetworkRoom">
        <id column="id_" jdbcType="INTEGER" property="id"/>
        <result column="room_id_" jdbcType="VARCHAR" property="roomId"/>
        <result column="course_schedule_id_" jdbcType="INTEGER" property="courseScheduleId"/>
        <result column="display_" jdbcType="VARCHAR" property="display"/>
        <result column="sound_volume_" jdbcType="INTEGER" property="soundVolume"/>
        <result column="update_time_" jdbcType="TIMESTAMP" property="updateTime"/>
        <result column="create_time_" jdbcType="TIMESTAMP" property="createTime"/>
    </resultMap>

    <sql id="Base_Column_List">
        id_ , room_id_, course_schedule_id_,display_,sound_volume_, update_time_, create_time_
    </sql>

    <select id="findByRoomId" resultMap="BaseResultMap">
        SELECT * FROM im_network_room WHERE room_id_ = #{roomId} LIMIT 1
    </select>

</mapper>
